Subject: Re: [Sigtran] Re: M3UA Notify message

From: "TOLGA ASVEREN" <[email-masked]>
Date: Wed, 26 Feb 2003 16:52:37 +0200

Brian,

TOLGA,

Please note that the option in the RFC states that the "SGP" MAY wait,
not that the "SG" MAY wait.  The SG might have the AS active for more
than n ASPs with other SGPs, or more than n ASPs combined across the
SGPs.
[TOLGA]Yes, it is SGP not SG.

Even if there wasn't SS7 considerations, saying that an SGP "SHOULD"
wait would be foolish, particularly if all the APSs are merrily
handling AS traffic via other SGPs in the same SG.
[TOLGA]With SHOULD, other SGPs also SHOULD NOT direct traffic unless there
are n ACTIVE ASPs(for that specific AS). For other AS, of course any SGP
can divert traffic -depending on the traffic mode of the corresponding AS-.
So, why should a "SHOULD" create an inconsistant behaviour among SGPs
belonging to same SG if all of them follow the rule?

Saying the "SG" "SHOULD" wait would place an undue requirement on the
SGP to make its decision based upon their peer SGP's (possibly incorrect
or untimely) view all ASPs state for the AS.
[TOLGA]As you pointed out at the beginning it should be SGP.

--brian

TOLGA ASVEREN wrote:                            (Wed, 26 Feb 2003 16:03:15)
>
> Brian,
>
>
>
> Samuel,
>
> Samuel Dur D. Jeyaseelan wrote:
> (Wed, 26 Feb 2003 06:06:29)
> >
> > Brian,
> > I understood the same.But there may be a time where SG can request k
ASP
> > to become active in order to handle the heavy traffic.
> > Because configured 'n' ASPs are sufficient to handle the normal traffic
> > but when traffic increases than 'normal traffic' from SS7 network
towards
> > SG- this case SG may request k ASP to become active.
>
> The SG has no understanding of the traffic handling capability of the
ASPs.
>
> The only thing it has in the number "n".
> [TOLGA]If SG knows only about "n" (and nothing else) how can it decide to
> direct traffic or not? In such a case, isn't the only option for SG to
wait
> for n ASPs to be ACTIVE? Otherwise, which other paramaters are playing a
> role for that decision?
>
>
>
>
>
>
>
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 26 Feb 2003 08:12:05 -0700

TOLGA,

TOLGA ASVEREN wrote:                                                                 (Wed, 26 Feb 2003 16:52:37)
> are n ACTIVE ASPs(for that specific AS).

Huh?  The decision then cannot possibly be then related to ASP load (and
therefore unrelated to 'n').  This certainly cannot be recommended.

> For other AS, of course any SGP can divert traffic -depending on the traffic
> mode of the corresponding AS-.  So, why should a "SHOULD" create an
> inconsistant behaviour among SGPs belonging to same SG if all of them follow
> the rule?

Because there is no point for any SGP but the first one to follow the rule,
even if one could find justification to impose it (which you cannot).
Placing a requirement to make your rule look pretty is not in fitting with
RFC 2119.

> [TOLGA]As you pointed out at the beginning it should be SGP.

Huh? Did you mean SG?

--brian